#include <M5Unified.h>
#include <WiFi.h>

const char* ssid = "ics-ap";
const char* password = "jikkenics";

void setup() {
  auto cfg = M5.config();
  M5.begin(cfg);
  M5.Display.setRotation(3);
  M5.Display.setFont(&fonts::lgfxJapanGothic_16);
  M5.Display.println("WIFI 01");
  M5.Display.setTextScroll(true);
  //  Serial.begin(115200);
  //  M5.Display.println("シリアル開始");

  WiFi.begin(ssid, password); // 接続開始
  while (WiFi.status() != WL_CONNECTED) { // 接続中...
    M5.Display.print(".");
    M5.delay(500);
  }
  // 接続完了！！
  M5.Display.fillScreen(GREEN);
  M5.Display.setCursor(0, 40, 4);
  M5.Display.setTextColor(BLACK, GREEN);
  M5.Display.print("  Wifi Connected!\n  ");
  String gotip = WiFi.localIP().toString(); // m5デバイスのIPアドレス
  M5.Display.println(gotip);
  M5.delay(1500);
}

void loop() {
  M5.update();
  if (M5.BtnA.wasReleased()) {
    String gotip = WiFi.localIP().toString(); // m5デバイスのIPアドレス
    M5.Display.println(gotip);
  }
  M5.delay(20);
}